diff mbox

[Lucid] UBUNTU: Enable perf to be more helpful when perf_<version> does not exist.

Message ID 4C0E429B.9050801@canonical.com
State Superseded
Delegated to: Andy Whitcroft
Headers show

Commit Message

Lee Jones June 8, 2010, 1:16 p.m. UTC
Hi all,

This patch as already been excepted in Maverick.

I would also like it to go into Lucid.

The following changes since commit f8b7e92f771b23dafe40a6a1080cd89a3187628e:
  Jerome Glisse (1):
        (pre-stable) drm/radeon/kms: initialize set_surface_reg reg for rs600 asic

are available in the git repository at:

  git://kernel.ubuntu.com/lag/ubuntu-lucid.git lp570500

Lee Jones (1):
      UBUNTU: Enable perf to be more helpful when perf_<version> does not exist.

 debian/tools/perf |   19 ++++++++++++++-----
 1 files changed, 14 insertions(+), 5 deletions(-)




Kind regards,
Lee
diff mbox

Patch

diff --git a/debian/tools/perf b/debian/tools/perf
index 79253d2..ab35fab 100644 (file)
--- a/debian/tools/perf
+++ b/debian/tools/perf
@@ -1,7 +1,16 @@ 
 #!/bin/bash
-version=`uname -r`
-flavour=${version#*-}
-flavour=${flavour#*-}
-version=${version%-$flavour}
+full_version=`uname -r`
 
-exec "perf_$version" "$@"
+# Removing flavour from version i.e. generic or server.
+flavour_abi=${full_version#*-}
+flavour=${flavour_abi#*-}
+version=${full_version%-$flavour}
+perf="perf_$version"
+
+if ! which "$perf" > /dev/null; then
+    echo "$perf not found" >&2
+    echo "You may need to install linux-tools-$version" >&2
+    exit 2
+fi
+
+exec "$perf" "$@"